## neutron-fwaas 15.0.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7'  # BSD
sphinx!=1.6.6,!=1.6.7,>=1.6.2;python_version>='3.4'  # BSD
sphinxcontrib-apidoc>=0.2.0  # BSD
sphinxmark>=0.1.14 # Apache-2.0
openstackdocstheme>=1.18.1 # Apache-2.0
reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
neutron-fwaas (1:15.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Run wrap-and-sort -bastk.
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Oct 2019 23:17:28 +0200

neutron-fwaas (1:15.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Oct 2019 20:42:09 +0200

neutron-fwaas (1:15.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 29 Sep 2019 17:49:46 +0200

neutron-fwaas (1:14.0.0-1) unstable; urgency=medium

  [ Thomas Goirand ]
  * Updated nl and fr debconf translations (Closes: #921933, #924080).
  * New upstream release.
  * Uploading to unstable.

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

 -- Thomas Goirand <zigo@debian.org>  Fri, 17 May 2019 11:48:45 +0200

neutron-fwaas (1:14.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed package versions when satisfied in Buster.
  * Fixed (build-)depends for this release. Note: I couldn't set the correct
    lower bound for pyroute2 to 0.5.3, as this isn't yet in Debian.
  * Removed python3- prefix when calling the config generators.
  * Install usr/bin/neutron-fwaas-migrate-v1-to-v2 in the package.
  * Remove the neutron-fwaas-common transition package after Buster released.
  * Standards-Version: 4.3.0 (no change).

 -- Thomas Goirand <zigo@debian.org>  Sun, 31 Mar 2019 23:49:52 +0200

=== debian/control ===
Source: neutron-fwaas
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 python3-coverage,
 python3-eventlet,
 python3-hacking,
 python3-mock,
 python3-mysqldb,
 python3-netaddr,
 python3-neutron (>= 2:15.0.0~rc1),
 python3-neutron-lib (>= 1.26.0),
 python3-openstackdocstheme,
 python3-os-testr,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.db,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.privsep,
 python3-oslo.service,
 python3-oslo.utils,
 python3-oslotest,
 python3-psycopg2,
 python3-pygments,
 python3-pymysql,
 python3-requests-mock,
 python3-six,
 python3-sphinxcontrib.apidoc,
 python3-sqlalchemy,
 python3-stestr,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-webob,
 python3-webtest,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/neutron-fwaas
Vcs-Git: https://salsa.debian.org/openstack-team/services/neutron-fwaas.git
Homepage: https://github.com/openstack/neutron-fwaas

Package: python3-neutron-fwaas
Architecture: all
Section: python
Depends:
 adduser,
 alembic,
 debconf,
 neutron-common,
 python3-eventlet,
 python3-mysqldb,
 python3-netaddr,
 python3-neutron (>= 2:15.0.0~rc1),
 python3-neutron-lib (>= 1.26.0),
 python3-oslo.config,
 python3-oslo.db,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.privsep,
 python3-oslo.service,
 python3-oslo.utils,
 python3-pbr,
 python3-psycopg2,
 python3-pymysql,
 python3-six,
 python3-sqlalchemy,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 neutron-fwaas-common (<< 1:13.0.1-5~),
Replaces:
 neutron-fwaas-common (<< 1:13.0.1-5~),
Recommends:
 iputils-arping,
Description: OpenStack Firewall as a Service Neutron plugin
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Firewall as a Service plugin.

## neutron-fwaas 15.0.1

=== debian/changelog ===
neutron-fwaas (1:15.0.1-0ubuntu1) eoan; urgency=medium

  * d/gbp.conf: Create stable/train branch.
  * d/watch: Update tarball URL to opendev.org.
  * New stable point release for OpenStack Train (LP: #1871125).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Apr 2020 10:56:25 -0400

neutron-fwaas (1:15.0.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- James Page <james.page@ubuntu.com>  Wed, 16 Oct 2019 16:18:39 +0100

neutron-fwaas (1:15.0.0~rc1-0ubuntu3) eoan; urgency=medium

  * d/p/add-missing-pk-firewall-group-associations-v2.patch: Cherry pick
    fix to resolve issue with missing primary key on
    firewall_group_associations_v2 table (LP: #1831986).

 -- James Page <james.page@ubuntu.com>  Fri, 11 Oct 2019 14:19:24 +0100

neutron-fwaas (1:15.0.0~rc1-0ubuntu2) eoan; urgency=medium

  * d/p/disable-check-constraint-for-public-columns.patch: Disable
    creation of check constraints for 'public' columns under MySQL
    (LP: #1846606) resolving compatibility with MySQL >= 8.
  * d/tests/*: Add autopkgtest to validate database migrations under
    MySQL.

 -- James Page <james.page@ubuntu.com>  Mon, 07 Oct 2019 09:31:20 +0100

neutron-fwaas (1:15.0.0~rc1-0ubuntu1) eoan; urgency=medium

  [ Sahid Orentino Ferdjaoui ]
  * New upstream snapshot for OpenStack Train.

  [ Corey Bryant ]
  * d/watch: Monitor 15.x series.
  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-sphinxcontrib-apidoc.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 27 Sep 2019 10:31:15 -0400

neutron-fwaas (1:15.0.0~b2~git2019073114.243a7ef57-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/netfilter_log-Correct-decode-binary-types.patch: Dropped.
    Fixed in snapshot.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 31 Jul 2019 14:57:11 +0200

neutron-fwaas (1:15.0.0~b1~git2019061312.45a36b8ba-0ubuntu1) eoan; urgency=medium

  * d/p/netfilter_log-Correct-decode-binary-types.patch: Cherry pick fix
    to resolve decoding of netfilter log prefix information under Python
    3 (LP: #1832210).
  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 13 Jun 2019 12:04:51 +0100

=== debian/control ===
Source: neutron-fwaas
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 4.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 4.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-alembic (>= 0.8.10),
 python3-coverage (>= 4.0),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 1.1.0),
 python3-mock (>= 2.0.0),
 python3-netaddr (>= 0.7.18),
 python3-neutron (>= 2:15.0.0~),
 python3-neutron-lib (>= 1.26.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-os-ken (>= 0.3.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.db (>= 4.37.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.privsep (>= 1.32.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-psycopg2 (>= 2.7.3),
 python3-pygments (>= 2.2.0),
 python3-pymysql (>= 0.7.6),
 python3-pyroute2 (>= 0.5.3),
 python3-reno (>= 2.5.0),
 python3-requests-mock (>= 1.2.0),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-sqlalchemy (>= 1.2.0),
 python3-stestr (>= 1.0.0),
 python3-subunit (>= 1.0.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.8.2),
 python3-webtest (>= 2.0.27),
 python3-zmq (>= 14.3.1),
 rename,
Standards-Version: 4.1.4
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-fwaas
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-fwaas
Homepage: https://github.com/openstack/neutron-fwaas
Testsuite: autopkgtest-pkg-python

Package: neutron-fwaas-common
Architecture: all
Depends:
 ${misc:Depends},
Breaks:
 python-neutron-fwaas (<< 1:13.0.0~b2-0ubuntu2~),
 python-vmware-nsx (<< 12.0.1-0ubuntu2~),
Replaces:
 python-neutron-fwaas (<< 1:13.0.0~b2-0ubuntu2~),
 python-vmware-nsx (<< 12.0.1-0ubuntu2~),
Description: Firewall-as-a-Service driver for OpenStack Neutron
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides common configuration files.

Package: python3-neutron-fwaas
Architecture: all
Depends:
 neutron-fwaas-common (= ${binary:Version}),
 python3-alembic (>= 0.8.10),
 python3-eventlet (>= 0.18.2),
 python3-netaddr (>= 0.7.18),
 python3-neutron (>= 2:15.0.0~),
 python3-neutron-lib (>= 1.26.0),
 python3-os-ken (>= 0.3.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.db (>= 4.37.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.privsep (>= 1.32.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 4.0.0),
 python3-pyroute2 (>= 0.5.3),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.2.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-zmq,
Description: Firewall-as-a-Service driver for OpenStack Neutron
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Python 3 module.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python3 --buildsystem=python_distutils

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_install:
	# NOTE: generate configuration files directly
	for file in `ls etc/oslo-config-generator/*`; do \
		 PYTHONPATH=$(CURDIR) oslo-config-generator --config-file=$$file \
			--output-file=etc/neutron/`basename $$file`; \
	done
	# NOTE: scrub usr/etc folder from install.
	rm -rf debian/python*-neutron-fwaas/usr/etc
	dh_install

override_dh_fixperms:
	find debian/python*-neutron-fwaas -name __init__.py -exec chmod a-x {} \;
	dh_fixperms

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	pkgos-dh_auto_test --no-py2
endif

override_dh_auto_clean:
	rm -rf .testrepository build
	for file in `ls etc/oslo-config-generator/*`; do rm -f etc/neutron/`basename $$file`; done
	dh_auto_clean

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/neutron-fwaas neutron-fwaas-(15\.\d.*)\.tar\.gz

## neutron-fwaas 16.0.0~b2~git2020020713.d9ac7173f

=== debian/changelog ===
neutron-fwaas (1:16.0.0~b2~git2020020713.d9ac7173f-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/p/add-missing-pk-firewall-group-associations-v2.patch: Refreshed.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Fri, 07 Feb 2020 14:50:04 +0100

neutron-fwaas (1:16.0.0~b1~git2019121712.330e233a4-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and pybuild.
  * d/rules: Update PBR_VERSION to handle ~git versioning.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 17 Dec 2019 12:41:07 -0500

## neutron-fwaas 16.0.0~b3~git2020032402.5e6c04885

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
sphinxcontrib-apidoc>=0.2.0  # BSD
sphinxmark>=0.1.14 # Apache-2.0
openstackdocstheme>=1.18.1 # Apache-2.0
reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
neutron-fwaas (1:16.0.0~b3~git2020032402.5e6c04885-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.

 -- James Page <james.page@ubuntu.com>  Wed, 25 Mar 2020 09:20:32 +0000

=== debian/tests/control ===
Tests:
 database-migrations,
Depends:
 mysql-server,
 neutron-server,
 python3-neutron-fwaas,
Restrictions:
 needs-root,
 allow-stderr,

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.openstack.org/neutron-fwaas neutron-fwaas-(15\.\d.*)\.tar\.gz

## neutron-fwaas 16.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=4.0.0 # Apache-2.0

eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
netaddr>=0.7.18 # BSD
SQLAlchemy>=1.2.0 # MIT
alembic>=0.8.10 # MIT
six>=1.10.0 # MIT
neutron-lib>=1.26.0 # Apache-2.0
os-ken >= 0.3.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.db>=4.37.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.privsep>=1.32.0 # Apache-2.0
pyroute2>=0.5.3;sys_platform!='win32' # Apache-2.0 (+ dual licensed GPL2)
neutron>=13.0.0.0b1 # Apache-2.0
pyzmq>=14.3.1 # LGPL+BSD

# The comment below indicates this project repo is current with neutron-lib
# and should receive neutron-lib consumption patches as they are released
# in neutron-lib. It also implies the project will stay current with TC
# and infra initiatives ensuring consumption patches can land.
# neutron-lib-current

=== debian/changelog ===
neutron-fwaas (1:16.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Jul 2020 13:21:22 +0200

neutron-fwaas (1:16.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 10 May 2020 12:54:05 +0200

neutron-fwaas (1:16.0.0~rc1-1) experimental; urgency=medium

  * Move the package to the neutron-plugins subgroup on Salsa.
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Apr 2020 23:50:47 +0200

neutron-fwaas (1:15.0.1-1) unstable; urgency=medium

  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Mar 2020 13:06:27 +0100

=== debian/control ===
Source: neutron-fwaas
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 109~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 python3-coverage,
 python3-eventlet,
 python3-hacking,
 python3-mock,
 python3-mysqldb,
 python3-netaddr,
 python3-neutron (>= 2:15.0.0~rc1),
 python3-neutron-lib (>= 1.26.0),
 python3-openstackdocstheme,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.db,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.privsep,
 python3-oslo.service,
 python3-oslo.utils,
 python3-oslotest,
 python3-psycopg2,
 python3-pygments,
 python3-pymysql,
 python3-requests-mock,
 python3-six,
 python3-sphinxcontrib.apidoc,
 python3-sqlalchemy,
 python3-stestr,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-webob,
 python3-webtest,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/neutron-plugins/neutron-fwaas
Vcs-Git: https://salsa.debian.org/openstack-team/neutron-plugins/neutron-fwaas.git
Homepage: https://github.com/openstack/neutron-fwaas

Package: python3-neutron-fwaas
Architecture: all
Section: python
Depends:
 adduser,
 alembic,
 debconf,
 neutron-common,
 python3-eventlet,
 python3-mysqldb,
 python3-netaddr,
 python3-neutron (>= 2:15.0.0~rc1),
 python3-neutron-lib (>= 1.26.0),
 python3-oslo.config,
 python3-oslo.db,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.privsep,
 python3-oslo.service,
 python3-oslo.utils,
 python3-pbr,
 python3-psycopg2,
 python3-pymysql,
 python3-six,
 python3-sqlalchemy,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 neutron-fwaas-common (<< 1:13.0.1-5~),
Replaces:
 neutron-fwaas-common (<< 1:13.0.1-5~),
Recommends:
 iputils-arping,
Description: OpenStack Firewall as a Service Neutron plugin
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Firewall as a Service plugin.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = https://github.com/openstack/neutron-fwaas.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	python3 setup.py clean
	rm -f python3-neutron-fwaas.postinst

override_dh_clean:
	dh_clean
	find . -type f -name "*.pyc" -delete
	rm -rf build

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func python3-neutron-fwaas.postinst

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/tmp; \
	done
	rm -rf $(CURDIR)/debian/tmp/usr/etc

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'neutron_fwaas\.tests\.unit\.(?!.*services\.firewall\.plugins\.cisco\.test_cisco_fwaas_plugin\.TestCiscoFirewallPlugin\.test_update_csr_firewall.*)'
endif

	mkdir -p $(CURDIR)/debian/python3-neutron-fwaas/etc/neutron
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/python3-neutron-fwaas/etc/neutron/fwaas_driver.ini \
		--wrap-width 140 \
		--namespace firewall.agent

	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/python3-neutron-fwaas/etc/neutron/neutron_fwaas.conf \
		--wrap-width 140 \
		--namespace neutron.fwaas

	# Enable the plugin by default
	pkgos-fix-config-default $(CURDIR)/debian/python3-neutron-fwaas/etc/neutron/fwaas_driver.ini fwaas driver iptables_v2
	pkgos-fix-config-default $(CURDIR)/debian/python3-neutron-fwaas/etc/neutron/fwaas_driver.ini fwaas enabled True
	pkgos-fix-config-default $(CURDIR)/debian/python3-neutron-fwaas/etc/neutron/fwaas_driver.ini fwaas conntrack_driver netlink_conntrack
	pkgos-fix-config-default $(CURDIR)/debian/python3-neutron-fwaas/etc/neutron/fwaas_driver.ini fwaas firewall_l2_driver ovs

	pkgos-fix-config-default $(CURDIR)/debian/python3-neutron-fwaas/etc/neutron/neutron_fwaas.conf service_providers service_provider FIREWALL_V2:fwaas_db:neutron_fwaas.services.firewall.service_drivers.agents.agents.FirewallAgentDriver:default

	mkdir -p $(CURDIR)/debian/python3-neutron-fwaas/etc/neutron/rootwrap.d
	cp etc/neutron/rootwrap.d/fwaas-privsep.filters $(CURDIR)/debian/python3-neutron-fwaas/etc/neutron/rootwrap.d

	dh_install
	dh_missing --fail-missing

override_dh_auto_test:
	echo "Do nothing..."

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/neutron-fwaas/tags .*/(\d[\d\.]+)\.tar\.gz

## neutron-fwaas 16.0.0+git2022033113.de8a4d4cf

=== requirements.txt ===
--- 
+++ 
@@ -5,8 +5,8 @@
 
 eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
 netaddr>=0.7.18 # BSD
-SQLAlchemy>=1.2.0 # MIT
-alembic>=0.8.10 # MIT
+SQLAlchemy>=1.4.23 # MIT
+alembic>=1.6.5 # MIT
 six>=1.10.0 # MIT
 neutron-lib>=1.26.0 # Apache-2.0
 os-ken >= 0.3.0 # Apache-2.0

=== debian/changelog ===
neutron-fwaas (1:16.0.0+git2022033113.de8a4d4cf-0ubuntu1~cloud0) focal-yoga; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 01 Apr 2022 10:32:01 +0000

neutron-fwaas (1:16.0.0+git2022033113.de8a4d4cf-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Mar 2022 13:41:13 -0400

neutron-fwaas (1:16.0.0+git2022030710.a9f26b81e-0ubuntu1) jammy; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream snapshot for OpenStack Yoga.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Switch to debhelper-compat 13.
  * d/p/add-missing-pk-firewall-group-associations-v2.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 07 Mar 2022 10:17:27 -0500

neutron-fwaas (1:16.0.0-0ubuntu1) groovy; urgency=medium

  * d/watch: Scope to 16.x series and get tarballs from opendev.org.
  * New upstream release for OpenStack Ussuri (LP: #1877642).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 May 2020 13:53:49 -0400

=== debian/control ===
Source: neutron-fwaas
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 4.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-alembic (>= 1.6.5),
 python3-coverage (>= 4.0),
 python3-eventlet (>= 0.18.2),
 python3-ddt,
 python3-fixtures (>= 3.0.0),
 python3-hacking,
 python3-mock (>= 2.0.0),
 python3-netaddr (>= 0.7.18),
 python3-neutron (>= 2:16.0.0~),
 python3-neutron-lib (>= 1.26.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-os-ken (>= 0.3.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.db (>= 4.37.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.privsep (>= 1.32.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-psycopg2 (>= 2.7.3),
 python3-pygments (>= 2.2.0),
 python3-pymysql (>= 0.7.6),
 python3-pyroute2 (>= 0.5.3),
 python3-reno (>= 2.5.0),
 python3-requests-mock (>= 1.2.0),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-sqlalchemy (>= 1.4.23),
 python3-stestr (>= 1.0.0),
 python3-subunit (>= 1.0.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.8.2),
 python3-webtest (>= 2.0.27),
 python3-zmq (>= 14.3.1),
 rename,
Standards-Version: 4.1.4
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/neutron-fwaas
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/neutron-fwaas
Homepage: https://github.com/openstack/neutron-fwaas
Testsuite: autopkgtest-pkg-python

Package: neutron-fwaas-common
Architecture: all
Depends:
 ${misc:Depends},
Breaks:
 python-neutron-fwaas (<< 1:13.0.0~b2-0ubuntu2~),
 python-vmware-nsx (<< 12.0.1-0ubuntu2~),
Replaces:
 python-neutron-fwaas (<< 1:13.0.0~b2-0ubuntu2~),
 python-vmware-nsx (<< 12.0.1-0ubuntu2~),
Description: Firewall-as-a-Service driver for OpenStack Neutron
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides common configuration files.

Package: python3-neutron-fwaas
Architecture: all
Depends:
 neutron-fwaas-common (= ${binary:Version}),
 python3-alembic (>= 1.6.5),
 python3-eventlet (>= 0.18.2),
 python3-netaddr (>= 0.7.18),
 python3-neutron (>= 2:16.0.0~),
 python3-neutron-lib (>= 1.26.0),
 python3-os-ken (>= 0.3.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.db (>= 4.37.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.privsep (>= 1.32.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 4.0.0),
 python3-pyroute2 (>= 0.5.3),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.4.23),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-zmq,
Description: Firewall-as-a-Service driver for OpenStack Neutron
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Python 3 module.

## neutron-fwaas 17.0.0

=== debian/changelog ===
neutron-fwaas (1:17.0.0-0ubuntu1) kinetic; urgency=medium

  * d/watch: Scope to 17.x series and get tarballs from opendev.org.
  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 06 Oct 2022 08:32:19 -0400

neutron-fwaas (1:16.0.0+git2022091214.965ac6bcd-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/pyzmq-disable.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Sep 2022 14:12:08 -0400

neutron-fwaas (1:16.0.0+git2022071815.e4fbbaae0-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Ensure openstack-pkg-tools has CIS hardening for log files
    and pkgos_adduser.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 18 Jul 2022 15:28:33 -0400

neutron-fwaas (1:16.0.0+git2022060611.b7be99c14-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Jun 2022 11:27:56 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
- openstack-pkg-tools,
+ openstack-pkg-tools (>= 119ubuntu1~),
  python3-all,
  python3-pbr (>= 4.0.0),
  python3-setuptools,
@@ -20,7 +20,7 @@
  python3-mock (>= 2.0.0),
  python3-netaddr (>= 0.7.18),
  python3-neutron (>= 2:16.0.0~),
- python3-neutron-lib (>= 1.26.0),
+ python3-neutron-lib (>= 2.19.0),
  python3-openstackdocstheme (>= 1.18.1),
  python3-os-ken (>= 0.3.0),
  python3-os-testr (>= 1.0.0),
@@ -40,7 +40,6 @@
  python3-pyroute2 (>= 0.5.3),
  python3-reno (>= 2.5.0),
  python3-requests-mock (>= 1.2.0),
- python3-six (>= 1.10.0),
  python3-sphinxcontrib.apidoc (>= 0.2.0),
  python3-sqlalchemy (>= 1.4.23),
  python3-stestr (>= 1.0.0),
@@ -52,10 +51,9 @@
  python3-webtest (>= 2.0.27),
  python3-zmq (>= 14.3.1),
  rename,
-Standards-Version: 4.1.4
+Standards-Version: 4.6.1
 Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/neutron-fwaas
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/neutron-fwaas
-Homepage: https://github.com/openstack/neutron-fwaas
+Homepage: https://opendev.org/openstack/neutron-fwaas
 Testsuite: autopkgtest-pkg-python
 
 Package: neutron-fwaas-common
@@ -88,7 +86,7 @@
  python3-eventlet (>= 0.18.2),
  python3-netaddr (>= 0.7.18),
  python3-neutron (>= 2:16.0.0~),
- python3-neutron-lib (>= 1.26.0),
+ python3-neutron-lib (>= 2.19.0),
  python3-os-ken (>= 0.3.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.db (>= 4.37.0),
@@ -100,7 +98,6 @@
  python3-oslo.utils (>= 3.33.0),
  python3-pbr (>= 4.0.0),
  python3-pyroute2 (>= 0.5.3),
- python3-six (>= 1.10.0),
  python3-sqlalchemy (>= 1.4.23),
  ${misc:Depends},
  ${python3:Depends},

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/neutron-fwaas/ neutron-fwaas-(17\.\d.*)\.tar\.gz

## neutron-fwaas 17.0.0+git2023011010.e7518f6f

=== debian/changelog ===
neutron-fwaas (1:17.0.0+git2023011010.e7518f6f-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Jan 2023 10:22:39 -0500

## neutron-fwaas 18.0.0

=== requirements.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# Requirements lower bounds listed here are our best effort to keep them up to
+# date but we do not test them so no guarantee of having them all correct. If
+# you find any incorrect lower bounds, let us know or propose a fix.
+
 # The order of packages is significant, because pip processes them in the order
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
@@ -7,8 +11,7 @@
 netaddr>=0.7.18 # BSD
 SQLAlchemy>=1.4.23 # MIT
 alembic>=1.6.5 # MIT
-six>=1.10.0 # MIT
-neutron-lib>=1.26.0 # Apache-2.0
+neutron-lib>=2.19.0 # Apache-2.0
 os-ken >= 0.3.0 # Apache-2.0
 oslo.config>=5.2.0 # Apache-2.0
 oslo.db>=4.37.0 # Apache-2.0
@@ -17,7 +20,7 @@
 oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
 oslo.privsep>=1.32.0 # Apache-2.0
-pyroute2>=0.5.3;sys_platform!='win32' # Apache-2.0 (+ dual licensed GPL2)
+pyroute2>=0.7.2;sys_platform!='win32' # Apache-2.0 (+ dual licensed GPL2)
 neutron>=13.0.0.0b1 # Apache-2.0
 pyzmq>=14.3.1 # LGPL+BSD

=== debian/changelog ===
neutron-fwaas (1:18.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Mar 2023 15:07:49 -0400

neutron-fwaas (1:18.0.0~rc1-0ubuntu1) lunar; urgency=medium

  * d/watch: Drop major version.
  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 Mar 2023 07:58:14 -0500

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  python3-alembic (>= 1.6.5),
  python3-coverage (>= 4.0),
  python3-eventlet (>= 0.18.2),
- python3-ddt,
+ python3-ddt (>= 1.0.1),
  python3-fixtures (>= 3.0.0),
  python3-hacking,
  python3-mock (>= 2.0.0),
@@ -37,7 +37,7 @@
  python3-psycopg2 (>= 2.7.3),
  python3-pygments (>= 2.2.0),
  python3-pymysql (>= 0.7.6),
- python3-pyroute2 (>= 0.5.3),
+ python3-pyroute2 (>= 0.7.2),
  python3-reno (>= 2.5.0),
  python3-requests-mock (>= 1.2.0),
  python3-sphinxcontrib.apidoc (>= 0.2.0),
@@ -97,12 +97,12 @@
  python3-oslo.service (>= 1.24.0),
  python3-oslo.utils (>= 3.33.0),
  python3-pbr (>= 4.0.0),
- python3-pyroute2 (>= 0.5.3),
+ python3-pyroute2 (>= 0.7.2),
  python3-sqlalchemy (>= 1.4.23),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:
- python3-zmq,
+ python3-zmq (>= 14.3.1),
 Description: Firewall-as-a-Service driver for OpenStack Neutron
  Neutron is a virtual network service for Openstack, and a part of
  Netstack. Just like OpenStack Nova provides an API to dynamically

## neutron-fwaas 19.0.0

=== requirements.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 netaddr>=0.7.18 # BSD
 SQLAlchemy>=1.4.23 # MIT
 alembic>=1.6.5 # MIT
-neutron-lib>=2.19.0 # Apache-2.0
+neutron-lib>=3.6.1 # Apache-2.0
 os-ken >= 0.3.0 # Apache-2.0
 oslo.config>=5.2.0 # Apache-2.0
 oslo.db>=4.37.0 # Apache-2.0
@@ -21,7 +21,7 @@
 oslo.utils>=3.33.0 # Apache-2.0
 oslo.privsep>=1.32.0 # Apache-2.0
 pyroute2>=0.7.2;sys_platform!='win32' # Apache-2.0 (+ dual licensed GPL2)
-neutron>=13.0.0.0b1 # Apache-2.0
+neutron>=23.0.0.0b2 # Apache-2.0
 pyzmq>=14.3.1 # LGPL+BSD
 
 # The comment below indicates this project repo is current with neutron-lib

=== debian/changelog ===
neutron-fwaas (1:19.0.0-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 05 Oct 2023 13:33:40 +0000

neutron-fwaas (1:19.0.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Oct 2023 09:14:02 -0400

neutron-fwaas (1:18.0.0+git2023090714.193d1e27-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream snapshot for OpenStack Bobcat.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/pyzmq-disable.patch: Rebased.
  * d/p/add-missing-pk-firewall-group-associations-v2.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Sep 2023 14:40:15 -0400

=== debian/control ===
--- 
+++ 
@@ -19,8 +19,8 @@
  python3-hacking,
  python3-mock (>= 2.0.0),
  python3-netaddr (>= 0.7.18),
- python3-neutron (>= 2:16.0.0~),
- python3-neutron-lib (>= 2.19.0),
+ python3-neutron (>= 2:23.0.0~),
+ python3-neutron-lib (>= 3.6.1),
  python3-openstackdocstheme (>= 1.18.1),
  python3-os-ken (>= 0.3.0),
  python3-os-testr (>= 1.0.0),
@@ -85,8 +85,8 @@
  python3-alembic (>= 1.6.5),
  python3-eventlet (>= 0.18.2),
  python3-netaddr (>= 0.7.18),
- python3-neutron (>= 2:16.0.0~),
- python3-neutron-lib (>= 2.19.0),
+ python3-neutron (>= 2:23.0.0~),
+ python3-neutron-lib (>= 3.6.1),
  python3-os-ken (>= 0.3.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.db (>= 4.37.0),

## neutron-fwaas 20.0.0

=== requirements.txt ===
--- 
+++ 
@@ -1,12 +1,3 @@
-# Requirements lower bounds listed here are our best effort to keep them up to
-# date but we do not test them so no guarantee of having them all correct. If
-# you find any incorrect lower bounds, let us know or propose a fix.
-
-# The order of packages is significant, because pip processes them in the order
-# of appearance. Changing the order has an impact on the overall integration
-# process, which may cause wedges in the gate later.
-pbr>=4.0.0 # Apache-2.0
-
 eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
 netaddr>=0.7.18 # BSD
 SQLAlchemy>=1.4.23 # MIT

=== debian/changelog ===
neutron-fwaas (1:20.0.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Fri, 05 Apr 2024 15:12:20 +0100

neutron-fwaas (1:20.0.0~rc1-0ubuntu1) noble; urgency=medium

  * New upstream release candidate for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Thu, 21 Mar 2024 10:59:00 +0000

neutron-fwaas (1:19.0.0+git2024011916.75228edb-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream snapshot for OpenStack Caracal.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Sat, 03 Feb 2024 13:23:16 +0000

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  python3-hacking,
  python3-mock (>= 2.0.0),
  python3-netaddr (>= 0.7.18),
- python3-neutron (>= 2:23.0.0~),
+ python3-neutron (>= 2:23.0.0~b2),
  python3-neutron-lib (>= 3.6.1),
  python3-openstackdocstheme (>= 1.18.1),
  python3-os-ken (>= 0.3.0),
@@ -85,7 +85,7 @@
  python3-alembic (>= 1.6.5),
  python3-eventlet (>= 0.18.2),
  python3-netaddr (>= 0.7.18),
- python3-neutron (>= 2:23.0.0~),
+ python3-neutron (>= 2:23.0.0~b2),
  python3-neutron-lib (>= 3.6.1),
  python3-os-ken (>= 0.3.0),
  python3-oslo.config (>= 1:5.2.0),

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/neutron-fwaas/ neutron-fwaas-(\d.*)\.tar\.gz

## neutron-fwaas 20.0.1

=== debian/changelog ===
neutron-fwaas (1:20.0.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-caracal.infomaniak.ch>  Mon, 22 Sep 2025 12:39:34 +0000

neutron-fwaas (1:20.0.0-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Dec 2024 12:56:32 +0100

neutron-fwaas (1:19.0.0-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Dec 2024 12:52:10 +0100

neutron-fwaas (1:18.0.1-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Dec 2024 12:48:31 +0100

neutron-fwaas (1:17.0.1-2) UNRELEASED; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Dec 2024 12:48:16 +0100

=== debian/control ===
Source: neutron-fwaas
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 109~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic (>= 1.6.5),
 python3-coverage,
 python3-ddt,
 python3-eventlet,
 python3-hacking,
 python3-mysqldb,
 python3-netaddr,
 python3-neutron (>= 2:23.0.0~rc1),
 python3-neutron-lib (>= 3.6.1),
 python3-openstackdocstheme,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.db,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.privsep,
 python3-oslo.service,
 python3-oslo.utils,
 python3-oslotest,
 python3-psycopg2,
 python3-pygments,
 python3-pymysql,
 python3-pyroute2 (>= 0.7.2),
 python3-requests-mock,
 python3-six,
 python3-sphinxcontrib.apidoc,
 python3-sqlalchemy,
 python3-stestr,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-webob,
 python3-webtest,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/neutron-plugins/neutron-fwaas
Vcs-Git: https://salsa.debian.org/openstack-team/neutron-plugins/neutron-fwaas.git
Homepage: https://github.com/openstack/neutron-fwaas

Package: python3-neutron-fwaas
Architecture: all
Section: python
Depends:
 adduser,
 alembic (>= 1.6.5),
 debconf,
 neutron-common,
 python3-eventlet,
 python3-mysqldb,
 python3-netaddr,
 python3-neutron (>= 2:23.0.0~rc1),
 python3-neutron-lib (>= 3.6.1),
 python3-oslo.config,
 python3-oslo.db,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.privsep,
 python3-oslo.service,
 python3-oslo.utils,
 python3-pbr,
 python3-psycopg2,
 python3-pymysql,
 python3-pyroute2 (>= 0.7.2),
 python3-six,
 python3-sqlalchemy,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 neutron-fwaas-common (<< 1:13.0.1-5~),
Replaces:
 neutron-fwaas-common (<< 1:13.0.1-5~),
Recommends:
 iputils-arping,
Description: OpenStack Firewall as a Service Neutron plugin
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Firewall as a Service plugin.

## neutron-fwaas 21.0.0

=== debian/changelog ===
neutron-fwaas (1:21.0.0-0ubuntu1~cloud0) noble-dalmatian; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- root <root@juju-0cd498-prod-ubuntu-openstack-backport-o-matic-7>  Thu, 03 Oct 2024 12:01:29 +0000

neutron-fwaas (1:21.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Thu, 03 Oct 2024 10:32:50 +0100

neutron-fwaas (1:21.0.0~rc1-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.
  * d/p/install-missing-files.patch: Ensure DB migrations are installed
    into binary package.

 -- James Page <james.page@ubuntu.com>  Wed, 25 Sep 2024 16:31:41 +0100

neutron-fwaas (1:20.0.0+git2024080809.57b8d26e-0ubuntu1) oracular; urgency=medium

  * New upstream snapshot for OpenStack Dalmatian.

 -- Jadon Naas <jadon.naas@canonical.com>  Wed, 14 Aug 2024 09:48:25 +0100

## neutron-fwaas 21.0.1

=== debian/changelog ===
neutron-fwaas (1:21.0.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Tue, 27 Jan 2026 13:21:28 +0000

neutron-fwaas (1:21.0.0-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Dec 2024 14:11:12 +0100

## neutron-fwaas 22.0.0

=== debian/changelog ===
neutron-fwaas (1:22.0.0-0ubuntu1) plucky; urgency=medium

  [ Guillaume Boutry ]
  * d/watch: Track Epoxy series releases.

  [ Myles Penner ]
  * New upstream release for OpenStack Epoxy.
  * Refresh patches:
    - d/p/install-missing-files.patch
    - d/p/pyzmq-disable.patch

  [ Guillaume Boutry ]
  * d/p/add-missing-pk-firewall-group-associations-v2.patch: Drop patch,
    upstreamed.

 -- Myles Penner <myles.penner@canonical.com>  Thu, 03 Apr 2025 13:10:52 -0700

neutron-fwaas (1:21.0.0+git2025030311.f315f199f-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.
  * d/control: Align (Build-)Depends with upstream.

 -- Myles Penner <myles.penner@canonical.com>  Tue, 04 Mar 2025 17:55:43 +0000

neutron-fwaas (1:21.0.0+git2025011511.824469b13-0ubuntu1) plucky; urgency=medium

  [ James Page ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.

  [ Myles Penner ]
  * New upstream release for OpenStack Epoxy.
  * d/control: Remove outdated dependencies.

 -- Myles Penner <myles.penner@canonical.com>  Tue, 21 Jan 2025 10:23:45 +0000

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/neutron-fwaas/ neutron_fwaas-(22\.\d.*)\.tar\.gz

## neutron-fwaas 22.0.0+git2025070714.ad78adbe0

=== debian/changelog ===
neutron-fwaas (1:22.0.0+git2025070714.ad78adbe0-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/s/options: Ignore .launchpad.yaml when generating diffs.

 -- Myles Penner <myles.penner@canonical.com>  Tue, 22 Jul 2025 11:22:55 -0700

## neutron-fwaas 23.0.0~rc1

=== debian/changelog ===
neutron-fwaas (1:23.0.0~rc1-1~bpo13+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-flamingo.debian.net>  Fri, 12 Sep 2025 07:43:58 +0000

neutron-fwaas (1:22.0.0-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2025 15:49:53 +0200

neutron-fwaas (1:22.0.0~rc1-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Switch to pybuild.
  * Fix python3-neutron-fwaas.install.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Mar 2025 09:28:31 +0100

=== debian/control ===
--- 
+++ 
@@ -22,8 +22,8 @@
  python3-hacking,
  python3-mysqldb,
  python3-netaddr,
- python3-neutron (>= 2:23.0.0~rc1),
- python3-neutron-lib (>= 3.6.1),
+ python3-neutron (>= 2:26.0.0~rc1),
+ python3-neutron-lib (>= 3.18.2),
  python3-openstackdocstheme,
  python3-oslo.concurrency,
  python3-oslo.config,
@@ -65,8 +65,9 @@
  python3-eventlet,
  python3-mysqldb,
  python3-netaddr,
- python3-neutron (>= 2:23.0.0~rc1),
- python3-neutron-lib (>= 3.6.1),
+ python3-neutron (>= 2:26.0.0~rc1),
+ python3-neutron-lib (>= 3.18.2),
+ python3-oslo.concurrency,
  python3-oslo.config,
  python3-oslo.db,
  python3-oslo.log,

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_clean:
 	python3 setup.py clean
